KNIME3.4.0 on macOS Sierra 10.12.6 R3.4.1 integration does not work

Member for

1 year 10 months Andrea Hoffmann

Looks like there is a problem with the newest version of XQuarts2.7.11 to call in the CRAN mirror for R-based installation. The call in page for CRAN mirror opens when I am trying to install an R based program using R snippet and I am not connected to the internet. It gives me an error (see my previous blog) when I connect to the internet (might also be an internal firewall issue). I tried to install XQuarts over Macports but it can't find the installation site.

Comments
Thu, 09/07/2017 - 01:36

Member for

4 years 8 months

jonathan.hale

Hi Andrea!

> trying to install an R based program using R snippet

You should probably not do this is the R Snippet, as interactive commands (e.g. opening Views) are not supported well or at all. Instead, please install packages via the R command line or GUI outside of KNIME.

> (see my previous blog)

It would be great if you could post a link to that, I am unsure how to find it.

> It gives me an error

What kind of error?

> I tried to install XQuarts over Macports

You can install xquartz from here: https://www.xquartz.org/


Kind regards, Jonathan.

Mon, 09/11/2017 - 08:11

Member for

2 years 7 months

jonfuller

One more point to add. It is possible to specify the CRAN mirror directly in the install.packages command. That avoids the XQuartz requirement. See this Stackoverflow (key points below).

install.packages('RMySQL', repos='http://cran.us.r-project.org')

Here you have a list of mirrors for R.

Tue, 09/12/2017 - 03:51

Member for

1 year 10 months

Andrea Hoffmann

Jonathan,

I had already XQuartz installed, and I used R outside of KNIME to install all the required packages including Cairo and Rserve. For some reason my previous posting describing all of this got deleted because it had the same title. This is the error I am getting when I do what you suggested using Rstudio:

 

 

install.packages('RMySQL', repos='http://cran.us.r-projec.org')
Warning: unable to access index for repository http://cran.us.r-projec.org/src/contrib:
  cannot open URL 'http://cran.us.r-projec.org/src/contrib/PACKAGES'
Warning: unable to access index for repository http://cran.us.r-projec.org/bin/macosx/el-capitan/contrib/3.4:
  cannot open URL 'http://cran.us.r-projec.org/bin/macosx/el-capitan/contrib/3.4/PACKAGES'
Warning message:
package ‘RMySQL’ is not available (for R version 3.4.1) 

I have attached a screenshot of the Knime error I am getting when using R snippet. This error only occurs when connected to the internet. Otherwise I see the Cran mirror popping up.